Skip to main content
POST
/
v1
/
root-cause-analyses
/
test-session-error-groups
/
{testSessionErrorGroupId}
Generate a Root Cause Analysis for a test session error group
curl --request POST \
  --url https://api.checklyhq.com/v1/root-cause-analyses/test-session-error-groups/{testSessionErrorGroupId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "userContext": ""
}
'
{
  "id": "<string>",
  "status": "PENDING"
}

Documentation Index

Fetch the complete documentation index at: https://checkly-422f444a-api-doc-test-sessions-retrieve-a-test-sess.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

testSessionErrorGroupId
string
required

Body

application/json
userContext
string | null
default:""

Optional user defined context to provide extra details useful for the user impact and root cause analysis.

Maximum string length: 256

Response

Accepted

id
string
required
status
enum<string>
required
Available options:
PENDING